[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.InitInstance

Initialize a new class instance.

## Declaration

Source position: objpash.inc line 202

`public class function TObject.InitInstance(`
`instance: pointer`
`):TObject;`

## Description

InitInstance initializes the memory pointer to by Instance. This means that the VMT is initialized, and the interface pointers are set up correctly. The function returns the newly initialized instance.

## See also

NewInstance |  | Allocate memory on the heap for a new instance
Create |  | TObject Constructor

Documentation generated on: Feb 26 2014